|  | overview |  | wiki |  | api reference |  | download

- Main Page
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Typedefs Enumerations Enumerator
Public Member Functions | Static Public Member Functions
gameplay::ScreenDisplayer Class Reference

`#include <ScreenDisplayer.h>`

List of all members.

## Public Member Functions

| ScreenDisplayer ()
| ~ScreenDisplayer ()
template<typename T >
void | run (T *instance, void(T::*method)(void *), void *cookie, unsigned long time)

## Static Public Member Functions

static void | start (const char *function, unsigned long time)
static void | finish ()

## Detailed Description

Defines a helper class for displaying images on screen for a duration of time.

Ex. A splash or level loading screens.

## Constructor & Destructor Documentation

gameplay::ScreenDisplayer::ScreenDisplayer | ( |  | ) |

Constructor.

gameplay::ScreenDisplayer::~ScreenDisplayer | ( |  | ) |

Destructor.

## Member Function Documentation

static void gameplay::ScreenDisplayer::finish | ( |  | ) | `[static]`

Finishes running the current screen displayer.

Note: this is intended for use from Lua scripts.

template<typename T >

void gameplay::ScreenDisplayer::run | ( | T * | instance,
|  | void(T::*)(void *) | method,
|  | void * | cookie,
|  | unsigned long | time
| ) |  |

Displays a screen using the Game::renderOnce() mechanism for at least the given amount of time.

Parameters:

  instance | See Game::renderOnce().
  method | See Game::renderOnce().
  cookie | See Game::renderOnce().
  time | The minimum amount of time to display the screen (in milliseconds).

static void gameplay::ScreenDisplayer::start | ( | const char * | function,
|  | unsigned long | time
| ) |  | `[static]`

Starts a new screen displayer running; draws a screen using the Game::renderOnce mechanism for at least the given amount of time.

Note: this is intended for use from Lua scripts.

Parameters:

  function | See Game::renderOnce(const char*).
  time | The minimum amount of time to display the screen (in milliseconds).

All Classes Functions Variables Typedefs Enumerations Enumerator